curl -X PATCH "https://api.scanova.io/qr-assets/business-card-template/8/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "Blue Card v2" }'
{
"id": 8,
"template_id": "bct-blue-01",
"name": "Blue Card v2",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto",
"background_img": "https://cdn.scanova.io/upload/bct/8.png"
}
QR 资源
更新名片模板
PATCH /qr-assets/business-card-template//
PATCH
/
qr-assets
/
business-card-template
/
{pk}
/
curl -X PATCH "https://api.scanova.io/qr-assets/business-card-template/8/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "Blue Card v2" }'
{
"id": 8,
"template_id": "bct-blue-01",
"name": "Blue Card v2",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto",
"background_img": "https://cdn.scanova.io/upload/bct/8.png"
}
在 Management API 主机(
同时支持
如果
api.scanova.io)上更新账户拥有的名片模板,使用您的原始 Management API 密钥进行身份验证。
PUT https://api.scanova.io/qr-assets/business-card-template/{pk}/
PATCH https://api.scanova.io/qr-assets/business-card-template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
必填
模板的
id。PUT 和 PATCH,二者接受创建名片模板中记录的相同字段,包括 template_id(与 QR 码设计模板不同,此值在创建后可以更改)。
curl -X PATCH "https://api.scanova.io/qr-assets/business-card-template/8/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "Blue Card v2" }'
{
"id": 8,
"template_id": "bct-blue-01",
"name": "Blue Card v2",
"info": "John Doe\nCEO",
"color": "{\"primary\":\"#0033ff\"}",
"font": "Roboto",
"background_img": "https://cdn.scanova.io/upload/bct/8.png"
}
pk 不是该账户拥有的模板,则返回 404。
相关内容
- 获取名片模板——更新前先查看。
- 创建名片模板——此更新复用的字段参考。
- 删除名片模板——将其彻底删除。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Template updated.
此页面对您有帮助吗?